wireproto: implement basic command dispatching for HTTPv2
ClosedPublic

Authored by indygreg on Mar 14 2018, 12:01 PM.

Details

Summary

Now that we can ingest frames and decode them to requests to run
commands, we are able to actually run those commands. So this
commit starts to implement that.

There are numerous shortcomings. We can't operate on commands
with "*" arguments. We can only emit bytesresponse results. We
don't yet issue a response in the unified framing protocol.
But it's a start.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
indygreg created this revision.Mar 14 2018, 12:01 PM
indygreg updated this revision to Diff 7033.Mar 14 2018, 12:43 PM
indygreg updated this revision to Diff 7050.Mar 14 2018, 9:10 PM
indygreg updated this revision to Diff 7142.Mar 19 2018, 7:59 PM
durin42 accepted this revision.Mar 21 2018, 9:32 PM
This revision is now accepted and ready to land.Mar 21 2018, 9:32 PM
This revision was automatically updated to reflect the committed changes.